<template>
    <div class="container">
        <Base activeIndex="2" @getuser="setuser">
        </Base>
        <el-row class="tac">
            <el-col :span="2" :offset="5">
                <el-menu default-active="1" active-text-color="#ffd04b" background-color="#545c64" text-color="#fff"
                    class="el-menu-vertical-demo nav">
                    <el-menu-item index="1" @click="cur_page=1">
                        <template #title>
                            <el-icon>
                                <phone />
                            </el-icon>
                            <span>留言通知</span>
                        </template>
                    </el-menu-item>
                </el-menu>
            </el-col>
            <el-col :span="17" v-if="cur_page==1">
                <el-card class="box-card">
                    <template #header>
                        <div class="card-header">
                            <strong style="font-size:30px;font-weight:border;">留言通知</strong>
                            <el-button class="button" type="primary" v-if="author != 3" @click="$router.push('/upload_message')">新建留言</el-button>
                            <!-- <UploadMessage /> -->
                        </div>
                    </template>
                    <el-scrollbar height="700px">
                        <el-card class="box-inline-card" v-for="i in tableData" :key="i.id">
                            <el-row>
                                <el-col :span="3">
                                    <img class="profile" src="../assets/images/UserProfileImg.png" alt="">
                                </el-col>
                                <el-col :span="18">
                                    <el-row>
                                        <el-col><div style="margin-top:0px">通知编号：{{i.id}}</div></el-col>
                                        <el-col><div style="margin-top:0px">通知内容：{{i.content}}</div></el-col>
                                    </el-row>
                                    
                                </el-col>
                                <el-col :span="3">
                                    <el-row justify="center" style="margin-bottom: 20px;"><i class="fa fa-calendar fa-lg"></i> </el-row>
                                    <el-row justify="center">{{dayjs(i.notice_time).format('YYYY-MM-DD')}}</el-row>
                                </el-col>
                            </el-row>
                        </el-card>
                    </el-scrollbar>

                </el-card>
            </el-col>
            <el-col :span="17" v-if="cur_page==2">
                <el-card class="box-card">
                    <template #header>
                        <div class="card-header">
                            <strong style="font-size:30px;font-weight:border;">反馈通知</strong>
                        </div>
                    </template>
                    <el-scrollbar height="700px">
                        <el-card class="box-inline-card" v-for="i in 10">
                            <el-row>
                                <el-col :span="3">
                                    <img class="profile" src="../assets/images/UserProfileImg.png" alt="">
                                </el-col>
                                <el-col :span="18">
                                    <el-row>
                                        <h3 style="margin-top:0px">辅导员给你留言了</h3>
                                    </el-row>
                                    <el-row>
                                        你这个反馈图片不太清晰，请重新上传
                                    </el-row>
                                </el-col>
                                <el-col :span="3">
                                    <el-row justify="center" style="margin-bottom: 20px;"><i class="fa fa-calendar fa-lg"></i> </el-row>
                                    <el-row justify="center" >2022-5-25</el-row>
                                </el-col>
                            </el-row>
                        </el-card>
                    </el-scrollbar>

                </el-card>
            </el-col>
            <!--
            <el-col :span="17" v-if="cur_page==3">
                <el-card class="box-card">
                    <template #header>
                        <div class="card-header">
                            <strong style="font-size:30px;font-weight:border;">报名通知</strong>
                        </div>
                    </template>
                    <el-scrollbar height="700px">
                        <el-card class="box-inline-card" v-for="i in 10">
                            <el-row>
                                <el-col :span="3">
                                    <img class="profile" src="../assets/images/UserProfileImg.png" alt="">
                                </el-col>
                                <el-col :span="18">
                                    <el-row>
                                        <h3 style="margin-top:0px" v-if="user.permission == '辅导员'">有新的德育分活动了</h3>
                                        <h3 style="margin-top:0px" v-if="user.permission != '辅导员'">发布了新的德育分活动</h3>
                                    </el-row>
                                    <el-row>
                                        ”写软工“德育活动可以报名了...<a href="">查看详情</a>
                                    </el-row>
                                </el-col>
                                <el-col :span="3">
                                    <el-row justify="center" style="margin-bottom: 20px;"><i class="fa fa-calendar fa-lg"></i> </el-row>
                                    <el-row justify="center" >2022-5-25</el-row>
                                </el-col>
                            </el-row>
                        </el-card>
                    </el-scrollbar>

                </el-card>
            </el-col>
            <el-col :span="17" v-if="cur_page==4">
                <el-card class="box-card">
                    <template #header>
                        <div class="card-header">
                            <strong style="font-size:30px;font-weight:border;">审核通知</strong>
                        </div>
                    </template>
                    <el-scrollbar height="700px">
                        <el-card class="box-inline-card" v-for="i in 10">
                            <el-row>
                                <el-col :span="3">
                                    <img class="profile" src="../assets/images/UserProfileImg.png" alt="">
                                </el-col>
                                <el-col :span="18">
                                    <el-row>
                                        <h3 style="margin-top:0px">xx上传了活动反馈，待审核</h3>
                                        （<a href="">查看详情</a>）
                                    </el-row>
                                    <el-row>
                                        ”写软工“德育活动可以审核了...
                                    </el-row>
                                </el-col>
                                <el-col :span="3">
                                    <el-row justify="center" style="margin-bottom: 20px;"><i class="fa fa-calendar fa-lg"></i> </el-row>
                                    <el-row justify="center" >2022-5-25</el-row>
                                </el-col>
                            </el-row>
                        </el-card>
                    </el-scrollbar>

                </el-card>
            </el-col>-->
        </el-row>
    </div>
</template>

<script>
import axios from 'axios'
import dayjs from 'dayjs'
import Base from "./Base.vue"
import global from './Common.vue'
import UploadMessage from "./UploadMessage.vue"
export default {
    name: "LeaveMessage",
    components: {
        Base,
        UploadMessage
    },
    data(){
        return {
            administrator:true,
            cur_page:1,
            user:{
                permission:""
            },
            tableData: [],
            dayjs: dayjs,
            author: ''
        }
    },
    methods:{
        setuser(user){
            this.user.permission = user.permission;
        },
        getMessage() {
            let token = localStorage.getItem("token");
            axios({
                method: "POST",
                url: "http://" + global.ip + "/api/notice/newall",
                headers: { Authorization: `Bearer: ${token}` },
            }).then((res) => {
                console.log(res);
                console.log("hello")
                this.tableData = res.data.notices;
            });
        }
    },
    created() {
        const author = localStorage.getItem('author')
        this.author = author
        this.getMessage()
    }
}
</script>

<style scoped>
.container {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgb(238, 241, 246);
}

.box-card {
    position: relative;
    width: 70%;
    height: 100%;
}

.tac {
    height: 80%;
    position: relative;
    top: 80px;
}

.nav {
    position: relative;
    top: 20px;
    border-radius: 2px;
    box-shadow: 1px 0px 5px 1px rgb(118, 117, 117);
}

.card-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.text {
    font-size: 14px;
}

.item {
    margin-bottom: 18px;
}
.profile {
  height:50px;
  width:50px;
  border-radius: 50%;
  position: relative;
}
.box-inline-card {
    margin-bottom:15px;
}
</style>